###
## read_file <file>
##    Read the entire contents of a file and return it as a string.
##
##    file - Name of the file to read.
##
## $Id: read_file.tcl 1212149 2011-12-08 21:57:35Z mxmanghi $
##
###

namespace eval ::rivet {

    proc read_file {file} {
        set fp [open $file]
        set x [read $fp]
        close $fp
        return $x
    }

}
